function y = filtfilthd(hd, x)
%FILTFILTHD Zero-phase forward and reverse digital IIR filtering.
%    Y = FILTFILTHD(hd, X) filters the data in vector X with the filter
%    described by the dfilt object hd to create the filtered data Y.

    if(~issos(hd))
        hd = sos(hd);
    end

    y = filtfilt(hd.sosMatrix, hd.scaleValues, x);

end
% Author: Jan F. Kraemer <jan.kraemer@rwth-aachen.de>
%
